Processing: python error in ""select by attribute sum"
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25047

Description

Seen in 2.18.12, the tool does not seems to have been ported in master (maybe by choice).

2017-09-15T11:14:43    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/SelectByAttributeSum.py", line 69, in processAlgorithm

                ft = layer.selectedFeatures()[0]

            IndexError: list index out of range

Associated revisions

Revision 59904fbf - 2017-09-27 12:01 PM - Alexander Bruy

[processing] correctly raise exception (fix #17148)

History

#1 - 2017-09-15 07:12 PM - Harrissou Santanna

Giovanni Manghi wrote:

Seen in 2.18.12, the tool does not seems to have been ported in master (maybe by choice).

For reference, see https://lists.osgeo.org/pipermail/qgis-developer/2017-September/049673.html

#2 - 2017-09-18 12:53 AM - Giovanni Manghi

For reference, see https://lists.osgeo.org/pipermail/qgis-developer/2017-September/049673.html

thanks I had forgot that thread. So maybe this instead of a ticket to remind for a fix should be a ticket to remind to remove the tool also in 2.18...

#3 - 2017-09-27 12:02 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|59904fbfc6937c2b95955c1fa48cc5a54d171ce1.
